/*
1.Posicionamiento
2.Modelo de caja (Box model)
3.Tipografía
4.Visuales
5.Otros
*/
:root {
  /*Colores*/
  --bitcoin-orange: #f7931a;
  --soft-orange: #ffe9d5;
  --secondary-blue: #1a9af7;
  --soft-blue: #e7f5ff;
  --warm-black: #201e1c;
  --black: #282623;
  --grey: #bababa;
  --off-white: #faf8f7;
  --just-white: #ffffff;
  --yellow: #ffd064;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%;
  font-family: "DM Sans", sans-serif;
  scroll-behavior: smooth;
}
header {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  min-width: 320px;
  height: 334px;
  text-align: center;
  background: linear-gradient(207.8deg, #201e1c 16.69%, #f7931a 100%);
}
header img {
  width: 150px;
  height: 24px;
  margin-top: 60px;
  align-self: center;
}
.header--title-container {
  width: 90%;
  min-width: 288px;
  max-width: 900px;
  height: 218px;
  margin-top: 40px;
  text-align: center;
  align-self: center;
}
.header--title-container h1 {
  font-size: 2.4rem;
  font-weight: bold;
  line-height: 2.6rem;
  color: var(--just-white);
}
.header--title-container p {
  margin-top: 25px;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.8rem;
  color: var(--soft-orange);
}

.header--title-container .header--button {
  position: absolute;
  left: calc(50% - 115px);
  top: 270px;
  display: block;
  margin-top: 35px;
  padding: 15px;
  width: 229px;
  height: 48px;
  background-color: var(--off-white);
  /*sombra*/
  box-shadow: 0px 4px 8px rgba(89, 73, 30, 0.16);
  border: none;
  border-radius: 5px;
  font-size: 1.4rem;
  font-weight: bold;
  text-decoration: none;
  color: var(--black);
}

.header--button span {
  display: inline-block;
  width: 13px;
  height: 8px;
  margin-left: 10px;
  background-image: url("./assets/icons/vector.svg");
  background-repeat: no-repeat;
}

main {
  width: 100%;
  height: auto;
  background-color: var(--off-white);
}
.main-exchange-container {
  width: 100%;
  height: auto;
  padding-top: 80px;
  padding-bottom: 30px;
  text-align: center;
}

.main-exchange-container--title {
  width: 90%;
  min-width: 288px;
  max-width: 900px;
  margin: 0 auto;
}
.main-exchange-container .backgroundImg {
  width: 200px;
  height: 200px;
  margin: 0 auto;
  margin-bottom: 50px;
  background-image: url("./assets/imgs/bitcoin.svg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.main-exchange-container h2 {
  margin-bottom: 30px;
  font-size: 2.4rem;
  font-weight: bold;
  line-height: 2.6rem;
  color: var(--black);
}

.main-exchange-container p {
  margin-bottom: 30px;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.6rem;
  color: #757575;
}
.main-comision-table,
.main-currency-table {
  width: 70%;
  min-width: 235px;
  max-width: 500px;
  height: 360px;
  margin: 0 auto;
  font-family: "Inter", sans-serif;
}
.main-comision-table .comision-table--title,
.main-currency-table .currency-table--title {
  margin-bottom: 15px;
  font-size: 1.8rem;
  font-weight: bold;
  line-height: 2.3rem;
  color: var(--bitcoin-orange);
}
.main-comision-table .comision-table--title {
  color: var(--secondary-blue);
}
.comision-table--container,
.currency-table--container {
  width: 90%;
  min-width: 230px;
  max-width: 300px;
  height: 250px;
  margin: 0 auto;
}
.comision-table--container table,
.currency-table--container table {
  width: 100%;
  height: 100%;
}
.comision-table--container td,
.currency-table--container td {
  width: 50%;
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 1.9rem;
  color: var(--grey);
  background-color: var(--just-white);
}
.comision-table--container .table__top-left,
.currency-table--container .table__top-left {
  border-radius: 15px 0 0 0;
}
.comision-table--container .table__top-right,
.currency-table--container .table__top-right {
  border-radius: 0 15px 0 0;
}
.comision-table--container .table__bottom-right,
.currency-table--container .table__bottom-right {
  border-radius: 0 0 15px 0;
}
.comision-table--container .table__bottom-left,
.currency-table--container .table__bottom-left {
  border-radius: 0 0 0 15px;
}
.comision-table--container .table__right,
.currency-table--container .table__right {
  font-size: 1.4rem;
  font-weight: normal;
  line-height: 1.7rem;
  color: #757575;
}
.currency-table--container .down {
  display: inline-block;
  width: 15px;
  height: 15px;
  margin-left: 10px;
  background-image: url("./assets/icons/trending-down.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.currency-table--container .up {
  display: inline-block;
  width: 15px;
  height: 15px;
  margin-left: 10px;
  background-image: url("./assets/icons/trending-up.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.comision-table--date,
.currency-table--date {
  width: 190px;
  height: 30px;
  margin: 0 auto;
  margin-top: 15px;
  padding: 8px;
  background-color: var(--soft-orange);
  border-radius: 8px;
}

.comision-table--date {
  background-color: var(--soft-blue);
}

.comision-table--date p,
.currency-table--date p {
  font-size: 1.2rem;
  line-height: 1.5rem;
  color: var(--warm-black);
  font-weight: 300;
}
.main-product-detail {
  position: relative;
  width: 100%;
  min-width: 320px;
  height: auto;
  padding: 20px 10px;
  background-color: var(--warm-black);
}
.product-detail--batata-logo {
  position: absolute;
  width: 40px;
  height: 25px;
  background-image: url("/assets/icons/group-papa.svg");
  top: -12.5px;
  left: calc(50% - 20px);
}
.product-detail--title {
  width: 90%;
  min-width: 280px;
  height: auto;
  margin: 0 auto;
  margin-top: 50px;
  text-align: center;
}
.product-detail--title h2 {
  margin-bottom: 20px;
  font-size: 2.4rem;
  font-weight: bold;
  line-height: 2.6rem;
  color: var(--just-white);
}
.product-detail--title p {
  margin-bottom: 20px;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.8rem;
  color: #808080;
}
.product-detail--card {
  width: 90%;
  min-width: 288px;
  max-width: 400px;
  min-height: 150px;
  margin: 15px auto;
  padding: 15px;
  background-color: var(--black);
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.16);
}
.product-detail--card .clock,
.eye,
.dollar,
.check-circle {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-bottom: 10px;
  background-image: url("./assets/icons/clock.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.product-detail--card .eye {
  background-image: url("./assets/icons/eye.svg");
}
.product-detail--card .dollar {
  background-image: url("./assets/icons/dollar-sign.svg");
}
.product-detail--card .check-circle {
  background-image: url("./assets/icons/check-circle.svg");
}

.product--card-title {
  margin-bottom: 15px;
  font-size: 1.8rem;
  font-weight: bold;
  line-height: 1.8rem;
  color: var(--just-white);
}

.product--card-body {
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.8rem;
  color: #808080;
}
.bitcoin-img-container {
  width: 100%;
  min-width: 320px;
  height: 50vh;
  background-image: url("./assets/imgs/bitcoin-baby.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.bitcoin-img-container h2 {
  padding: 60px;
  text-align: center;
  font-size: 2.4rem;
  font-weight: bold;
  line-height: 2.6rem;
  color: var(--just-white);
}
.main-plans-container {
  width: 100%;
  min-width: 320px;
  padding-bottom: 70px;
  text-align: center;
}
.main-plans-container .plans--title {
  width: 90%;
  min-width: 288px;
  height: auto;
  margin: 0 auto;
  margin-bottom: 50px;
}
.plans--title h2 {
  padding-top: 50px;
  font-size: 2.4rem;
  font-weight: bold;
  line-height: 2.6rem;
  color: var(--black);
}
.plans--title p {
  padding-top: 30px;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.8rem;
  color: #757575;
}
.plans-container--slider {
  display: flex;
  height: 316px;
  overflow-x: scroll;
  overscroll-behavior-x: contain;
  scroll-snap-type: x proximity;
}
.plans-container--card,
.plans-container--trimestral,
.plans-container--mensual {
  position: relative;
  scroll-snap-align: center;
  width: 70%;
  min-width: 190px;
  max-width: 300px;
  height: 250px;
  margin: 50px 5px 0;
  padding: 0 15px;
  background-color: var(--just-white);
  border-radius: 15px;
  box-shadow: 0 4px 8px rgba(89, 73, 30, 0.16);
}
.plans-container--trimestral {
  background-color: var(--black);
}
.plans-container--mensual {
  background-color: var(--bitcoin-orange);
}
.recomendado,
.plan-trimestral,
.plan-mensual {
  position: absolute;
  left: calc(50% - 60px);
  font-size: 1.2rem;
  top: -15px;
  width: 120px;
  height: 31px;
  background-color: var(--bitcoin-orange);
  color: var(--just-white);
  border-radius: 5px;
  padding: 6px;
}
.plan-trimestral {
  background-color: var(--yellow);
  color: var(--warm-black);
  font-weight: bold;
}
.plan-mensual {
  background-color: var(--warm-black);
}
.plan-card--title,
.plan-card--title__trimestral,
.plan-card--title__mensual {
  padding-top: 30px;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.8rem;
  color: black;
}
.plan-card--title__trimestral {
  color: var(--just-white);
}

.plan-card--price,
.plan-card--price__trimestral,
.plan-card--price__mensual {
  position: relative;
  padding: 5px 0;
  font-size: 5.2rem;
  font-weight: bold;
  line-height: 5.3rem;
  color: black;
}
.plan-card--price__trimestral {
  color: var(--just-white);
}

.plan-card--price span,
.plan-card--price__trimestral span,
.plan-card--price__mensual span {
  position: absolute;
  top: -5px;
  left: calc(50% - 40px);
  font-size: 1.2rem;
  font-weight: 300;
}
.plan-card--saving,
.plan-card--saving__mensual {
  font-size: 1.2rem;
  color: #757575;
}
.plan-card--saving__mensual {
  color: var(--black);
}
.plan-card--ca,
.plan-card--ca__trimestral,
.plan-card--ca__mensual {
  width: 150px;
  height: 48px;
  margin-top: 20px;
  background-color: var(--off-white);
  border: 2px solid var(--bitcoin-orange);
  font-family: "DM Sans", sans-serif;
  border-radius: 4px;
  font-size: 1.4rem;
  font-weight: bold;
  line-height: 1.8rem;
  color: var(--black);
}
.plan-card--ca__trimestral {
  background-color: var(--black);
  border-color: var(--yellow);
  color: var(--just-white);
}
.plan-card--ca__mensual {
  border-color: var(--soft-orange);
}
.plan-card--ca span,
.plan-card--ca__trimestral span,
.plan-card--ca__mensual span {
  display: inline-block;
  width: 20px;
  height: 20px;
  background-image: url("./assets/icons/arrow-right.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  vertical-align: text-bottom;
}
.icons {
  position: absolute;
  display: inline-block;
  width: 10px;
  height: 10px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.left {
  background-image: url(./assets/icons/Vector-left.svg);
  left: -10px;
  bottom: 50%;
}
.right {
  background-image: url(./assets/icons/Vector-right.svg);
  bottom: 50%;
  right: -10px;
  
}
footer{
  display: flex;
  width: 100%;
  height: 150px;
  background-color:var(--bitcoin-orange);
}
footer section{
  display: flex;
  width: 50%;
  justify-content: center;
  align-items: center;
}
footer .section-left ul {
  font-size:1.4rem;
  font-weight: 500;
  line-height: 1.8rem;
  list-style: none;
}
.section-left li{
  margin: 10px 0;
}
.section-left a {
  text-decoration: none;
  color: var(--just-white);
}

